%  Steering analysis
%all dimensions are in inches
tophandtravelchord=6;

a=4;
%a is the length from the arm goes out from the wheel hub
b=5;
%b is the length of the piece that connects to the two tie rods
c=4;
%c is the width of the piece that connects to the tie rods-measured from center pivot to outside pivot
d=7.5;
%is the length the handle bars go down below the pivot
e=13;
%e is the length of the handle bars from pivot
f=6;
%f is the y dist back from back edge of connector to where the handle bars connect
beta=60;
radbeta=beta*pi/180;
%beta is the degrees in the xy plane that the handle bar creates with the frame
gamma=60;
radgamma=gamma*pi/180;
%gamma is the degrees in the yz plane that the handle bars make with the frame
%this is the amount the handle moves back from its starting position
%note that the total chord length is two times this
wheelradius=29;
heightofupright=8;
halflenfromwheeltowheel=20;
widthofframe=11;
halfwidthofframe=widthofframe/2;
heightofframe=6;
spacerrotatorisfromframe=1.5;
lenfromleverpivottobackofframe=8;
lengthofframe=30;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
radtophandletravel=tophandtravelchord/e
deghandle=radtophandletravel*180/pi;
botxtravel=sin(radtophandletravel)*d
radturnofconnectingpiece=sin(botxtravel/c);
traveloftopconx=sin(radturnofconnectingpiece)*b
radturnofwheel=sin(traveloftopconx/a);
degturnofwheel=radturnofwheel*180/3.14159
radbeta=beta*3.14159/180;
%now im going to solve for the forces
%all forces are in pounds
F1=15;
%f1 is the force applied in the handle.  All forces will be reference from this force so i made the force 1lbs
F2=F1*e/d;
F3=F2;
forcetierod=F1*e*c/b/d
momaboutwheel=F1*e*c*a/b/d

